%define pkg_name        Text-Soundex
%define pkg_version     3.03
%define rpm_pkg_version 3.03
%define rpm_pkg_release 1.n0i.6

Summary:       Encode a string as a soundex value
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MA/MARKM/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This is a perl 5 module implementing the Soundex algorithm described by
Knuth. The algorithm is used quite often for locating a person by name
where the actual spelling of the name is not known.

This version directly supercedes the version of Text::Soundex that can be
found in the core from Perl 5.8.0 and down. (This version is a drop-in
replacement)

The algorithm used by soundex() is NOT fully compatible with the
algorithm used to index names for US Censuses. Use the soundex_nara()
subroutine to return codes for this purpose.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build -- --use-xs}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 0:3.03-1.n0i.6
- version 3.03

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:3.02-5.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Fri Apr 30 2004 Marius FERARU <altblue@n0i.net> 0:3.02-4.n0i.4
- rebuild (perl 5.8.4)

* Tue Mar 23 2004 Marius Feraru <altblue@n0i.net> 0:3.02-3.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- epoch 0!

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 3:3.02-2.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Nov 02 2003 Marius FERARU <altblue@n0i.net> 3:3.02-1.n0i.1
- version 3.02
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
